Personalized Recommendations are based on the User Activity. API uses most recent events like recommendations, search, add to cart, add to wishlist, etc for each user to find the products that match the User’s Interests.
NOTE: To use personalized recommendations make sure that ‘user_id’ is being sent to the Search (’/’) and the Recommendations (‘/recommendation’) endpoint. This allows the API to track user-specific events.
GET https://xyz.search.frenzy.ai/personalized-recommendation
Get top N products relevant to the user activity.
Query Parameters
{‘error’: ‘server_error’}
NOTE: For Shopify Customers
- num_matching = is set in the portal
Response Object
Example Request
By default, the request will return only the list of matching product-ids.
Example Request (full_description = true)
To get all product attributes along with product-ids, set the full_description parameter to true.